
/*

****************************************************************************
*                                                                          *
*     This procedure was made by Alex Levitas' "Mouse Cursor Editor".      *
*                                                                          *
****************************************************************************

 This procedure changes mouse cursor icon in graphic mode.

                            W A R N I N G ! ! !
 This procedure DOES NOT check mouse existence, DOES NOT initialize mouse,
 but  ONLY  change icon  of active  initialized  mouse in graphic mode ! !

 To use this procedure in your program, insert the directive

    #include "DEMOUSE.C"

 If you want to use more than one changed icon in your program, you
 must change procedure name in each source file.

*/

#include <dos.h>

void ChangeMouseCursor()

 {

   struct MouseGraphicCursor {
                              unsigned int ScreenMask[16],
                                           CursorMask[16],
                                           HotDotX,
                                           HotDotY;
                             }
                               TheCursor = {
                                            {
                                              57375,
                                              57375,
                                              57375,
                                              49167,
                                              32775,
                                                  3,
                                                  3,
                                                  1,
                                                  3,
                                                  3,
                                              32775,
                                              49167,
                                              57375,
                                              57375,
                                              57375,
                                              65535
                                            },
                                            {
                                                  0,
                                               4032,
                                               4032,
                                               4128,
                                               8464,
                                              16648,
                                              16648,
                                              16652,
                                              16904,
                                              17416,
                                               8208,
                                               4128,
                                               4032,
                                               4032,
                                                  0,
                                                  0
                                            },
                                                7,
                                                7
                                           },
                               far *PCursor = &TheCursor;

    struct REGPACK Regs;

    Regs.r_es=FP_SEG(PCursor);
    Regs.r_dx=FP_OFF(PCursor);
    Regs.r_bx=TheCursor.HotDotX;
    Regs.r_cx=TheCursor.HotDotY;
    Regs.r_ax=9;
    intr(0x33,&Regs);

}

